---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/librawmonenter004.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x507F0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52730, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52B20, symBinAddr: 0xE500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53AC0, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53AD0, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50460, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50464, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50468, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x505C0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50678, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5067C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50680, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50684, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50688, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50690, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x506A8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x506B0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x506B8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x506C0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x506C8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x5070A, symBinAddr: 0xC1AA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50710, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL7monitor, symObjAddr: 0x50718, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL9wait_lock, symObjAddr: 0x50720, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL12monitorCount, symObjAddr: 0x50728, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x5072C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x919B, offset: 0x919B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4710, symSize: 0x80 }
  - { offsetInCU: 0x9230, offset: 0x9230, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4660, symSize: 0xB0 }
  - { offsetInCU: 0x928B, offset: 0x928B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4560, symSize: 0x100 }
  - { offsetInCU: 0x951E, offset: 0x951E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4790, symSize: 0x220 }
  - { offsetInCU: 0x9703, offset: 0x9703, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x49B0, symSize: 0xA0 }
  - { offsetInCU: 0x97B6, offset: 0x97B6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4A50, symSize: 0x110 }
  - { offsetInCU: 0x98AC, offset: 0x98AC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4B60, symSize: 0x150 }
  - { offsetInCU: 0x9A09, offset: 0x9A09, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4CB0, symSize: 0x30 }
  - { offsetInCU: 0x9A92, offset: 0x9A92, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4CE0, symSize: 0x150 }
  - { offsetInCU: 0x9C8A, offset: 0x9C8A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4E30, symSize: 0x160 }
  - { offsetInCU: 0x9E16, offset: 0x9E16, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4F90, symSize: 0x1B0 }
  - { offsetInCU: 0xA031, offset: 0xA031, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5140, symSize: 0xA0 }
  - { offsetInCU: 0xA100, offset: 0xA100, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x51E0, symSize: 0x20 }
  - { offsetInCU: 0xA137, offset: 0xA137, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5200, symSize: 0x20 }
  - { offsetInCU: 0xA16E, offset: 0xA16E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5220, symSize: 0x20 }
  - { offsetInCU: 0xA2DD, offset: 0xA2DD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5240, symSize: 0x1A0 }
  - { offsetInCU: 0xA603, offset: 0xA603, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x53E0, symSize: 0x80 }
  - { offsetInCU: 0xA6CC, offset: 0xA6CC, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5460, symSize: 0x6A0 }
  - { offsetInCU: 0xB261, offset: 0xB261, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA0A0, symBinAddr: 0x6620, symSize: 0xB0 }
  - { offsetInCU: 0xB2D8, offset: 0xB2D8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5B00, symSize: 0x70 }
  - { offsetInCU: 0xB374, offset: 0xB374, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5B70, symSize: 0xA0 }
  - { offsetInCU: 0xB453, offset: 0xB453, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5C10, symSize: 0x40 }
  - { offsetInCU: 0xB549, offset: 0xB549, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5C50, symSize: 0x2B0 }
  - { offsetInCU: 0xB8EF, offset: 0xB8EF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5F00, symSize: 0xC0 }
  - { offsetInCU: 0xBA35, offset: 0xBA35, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5FC0, symSize: 0x10 }
  - { offsetInCU: 0xBAF7, offset: 0xBAF7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5FD0, symSize: 0x220 }
  - { offsetInCU: 0xBE2D, offset: 0xBE2D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x61F0, symSize: 0x70 }
  - { offsetInCU: 0xBEF8, offset: 0xBEF8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9CE0, symBinAddr: 0x6260, symSize: 0x70 }
  - { offsetInCU: 0xC00F, offset: 0xC00F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RawMonitorEnter_rawmonenter004_check, symObjAddr: 0x9D50, symBinAddr: 0x62D0, symSize: 0x290 }
  - { offsetInCU: 0xC2D1, offset: 0xC2D1, size: 0x8, addend: 0x0, symName: __ZL16increment_threadP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FE0, symBinAddr: 0x6560, symSize: 0xC0 }
  - { offsetInCU: 0xC3C8, offset: 0xC3C8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA150, symBinAddr: 0x66D0, symSize: 0x36A }
...
